<?php 
	include ("clases/reunion.class.php"); $objb = new reunion();
	include ("clases/doc_curso.class.php"); $objdc = new doc_curso();
    $idper = $_REQUEST['id'];	
	
?>
<html>
<head>
<title>Documento sin t&iacute;tulo</title>
<link href="css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="css/bootstrap-theme.css">
<link rel="stylesheet" href="css/bootstrap-theme.min.css">
<link rel="stylesheet" href="css/dataTables.bootstrap.min.css">
<script src="js/jquery.dataTables.min.js"></script>
<script src="js/dataTables.bootstrap.min.js"></script>

<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/app.js"></script>

<script>
function confirmar()
{
	if(confirm('Estas seguro de Eliminar el Registro?'))
		return true;
	else
		return false;
}

$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
</script>

</head>
<body>

 <div class="panel-heading">
    <h4>      Lista de Reuniones:  
    <a href="frmreunion.php?iddoc_curso=<?php echo $idper;?>" class="btn btn-default"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span></a><a href="datoscargalectiva.php?dc=<?=$idper;?>" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a></h4>
</div>  
  <form name="form1" method="post" action="listareunion.php?id=<?=$idper;?>" >
 <div class="tab-content">
    <div role="tabpanel" class="tab-pane active" id="home">
	<ul>
	
	<div class="form-group">
	<input name="txtbuscar" type="text" size="80" placeholder="Ingrese Titulo de Reunion a Buscar">
	</div>
	<input type="hidden" name="id" value="<?=$idper;?>">
	<input name="" type="submit" value="Consultar" class="btn btn-primary">
	</ul>
	</div>
	</div>
  

<div class="container">
<? 	 
			  echo "<strong>Descripcion de Reunion</strong> ";			  
			  //$lista=$objb->ListarPorPersona($idper);	
			  $a = $_POST["txtbuscar"]; 
		   $lista = $objb->ListarPorTitulo($a,$idper);
		   //////////////////////////////////////////////////77		 
			$TAMANO_PAGINA = 12;//Limito la busqueda			
			$pagina = $_GET["pagina"];//examino la p?gina a mostrar y el inicio del registro a mostrar
			if (!$pagina) {
				$inicio = 0;
				$pagina = 1;
			}
			else {
					$inicio = ($pagina - 1) * $TAMANO_PAGINA;
				}			
			$total_paginas = ceil(count($lista) / $TAMANO_PAGINA);//calculo el total de p?ginas
			/////////////////////////////////////////////////////////////////////////////////////
			$lista=$objb->ListaPaginada($a,$idper,$inicio,$TAMANO_PAGINA);		  
			  for($i = 0; $i<count($lista); $i++)
			  {
			  echo "<div class='form-group'>";
			  ?>
			  <span class="glyphicon glyphicon-ok"></span> <?=$lista[$i]["titulo"]." ";?><?php echo "(visite: <a href=".$lista[$i]["url"]." target='_blank'>".$lista[$i]["url"]."</a>)";?> 
			  <?php echo "(Visible: ".$lista[$i]['visible']." Fecha Pub.: ".$lista[$i]['fecha'].")";?>
			  <a href="frmreunion.php?idreunion=<?= $lista[$i]["idreunion"];?>&iddoc_curso=<?php echo $idper;?>" data-toggle="tooltip" title="Editar"><span class="glyphicon glyphicon-pencil"></span></a> 
			  <a href="controladores/procesareunion.php?id=<?=$lista[$i]['idreunion'];?>&text=E&iddoc_curso=<?php echo $idper;?>" onClick="return confirmar();" data-toggle="tooltip" title="Eliminar"><span class="glyphicon glyphicon-trash"></span></a>			  
			  <? 
			  echo "</div>";?>      
              <?  
			  }
			///////////////////////////////////////////////////////////////////////////////////////////////////////////////  			
?>
<center>
<?php 
		   if ($total_paginas > 1) {
   			if ($pagina != 1)
      			echo '<a href="'.$url.'?id='.$idper.'&pagina='.($pagina-1).'" class="btn btn-default">Anterior</a>';
     		for ($i=1;$i<=$total_paginas;$i++) {
         		if ($pagina == $i)
            //si muestro el &iacute;ndice de la p&aacute;gina actual, no coloco enlace
            	  echo $pagina;
                else
            //si el &iacute;ndice no corresponde con la p&aacute;gina mostrada actualmente,
            //coloco el enlace para ir a esa p&aacute;gina
                  echo '  <a href="'.$url.'?id='.$idper.'&pagina='.$i.'"class="btn btn-default" >'.$i.'</a>  ';
          }
           if ($pagina != $total_paginas)
              echo '<a href="'.$url.'?id='.$idper.'&pagina='.($pagina+1).'" class="btn btn-default">Siguiente</a>';
         }
?>
</center>
</div>
</form>
</body>
</html>
